{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "C2IE_ABREVIATION"; 
            externalType = VARCHAR2; 
            name = c2ieAbreviation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "C2IE_CODE"; 
            externalType = VARCHAR2; 
            name = c2ieCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "C2IE_KEY"; 
            externalType = NUMBER; 
            name = c2ieKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "C2IE_LIBELLE"; 
            externalType = VARCHAR2; 
            name = c2ieLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "C2IE_NIVEAU"; 
            externalType = VARCHAR2; 
            name = c2ieNiveau; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (c2ieAbreviation, c2ieCode, c2ieKey, c2ieLibelle, c2ieNiveau); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolC2iEntete"; 
    classProperties = (
        c2ieAbreviation, 
        c2ieCode, 
        c2ieLibelle, 
        c2ieNiveau, 
        "toFwkScolarite_ScolC2iCompetences", 
        "toFwkScolarite_ScolC2iConstantess", 
        "toFwkScolarite_ScolC2iJurys", 
        "toFwkScolarite_ScolC2iRepartEcs"
    ); 
    externalName = "SCOLARITE.SCOL_C2I_ENTETE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.serveur.client.eos.EOScolC2iEntete"; 
    }; 
    name = "FwkScolarite_ScolC2iEntete"; 
    primaryKeyAttributes = (c2ieKey); 
    relationships = (
        {
            destination = "FwkScolarite_ScolC2iCompetence"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }); 
            name = "toFwkScolarite_ScolC2iCompetences"; 
        }, 
        {
            destination = "FwkScolarite_ScolC2iConstantes"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }); 
            name = "toFwkScolarite_ScolC2iConstantess"; 
        }, 
        {
            destination = "FwkScolarite_ScolC2iJury"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }); 
            name = "toFwkScolarite_ScolC2iJurys"; 
        }, 
        {
            destination = "FwkScolarite_ScolC2iRepartEc"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }); 
            name = "toFwkScolarite_ScolC2iRepartEcs"; 
        }
    ); 
}
